Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2698613006: [Home] Add lifecycle events and some tests (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 5 days ago by mdjones
Modified:
1 week ago
CC:
chromium-reviews, agrieve+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Home] Add lifecycle events and some tests This change adds the following lifecycle events to the BottomSheetObserver: - onSheetOpened(): A notification that the sheet has an offset from the peeking state that is greater than 0. - onSheetClosed(): A notification that the sheet has completely returned to the its peeking state. - onLoadUrl(): A notification that a URL has started to load. The change also includes tests for the new events. BUG=689961 Review-Url: https://codereview.chromium.org/2698613006 Cr-Commit-Position: refs/heads/master@{#452107} Committed: https://chromium.googlesource.com/chromium/src/+/f9f64be3422ea78949a630766ad580a87b50e516

Patch Set 1 #

Total comments: 14

Patch Set 2 : address comments #

Total comments: 4

Patch Set 3 : address comments #

Patch Set 4 : protected test methods #

Patch Set 5 : move bottom sheet handle #

Patch Set 6 : fix previous patch #

Unified diffs Side-by-side diffs Delta from patch set Stats (+301 lines, -9 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java View 1 2 3 4 6 chunks +42 lines, -9 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheetObserver.java View 1 chunk +17 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/FadingBackgroundView.java View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/android/java_sources.gni View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
A chrome/android/javatests/src/org/chromium/chrome/browser/widget/BottomSheetObserverTest.java View 1 2 3 4 1 chunk +200 lines, -0 lines 0 comments Download
M chrome/test/android/javatests/src/org/chromium/chrome/test/BottomSheetTestCaseBase.java View 1 2 3 4 5 3 chunks +32 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 38 (19 generated)
mdjones
The bulk of this change is tests. ptal
1 week, 5 days ago (2017-02-17 16:20:46 UTC) #3
mdjones
+twellington since she is starting to work with this.
1 week, 5 days ago (2017-02-17 16:47:16 UTC) #5
Theresa
https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode396 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:396: for (BottomSheetObserver o : mObservers) o.onLoadUrl(params.getUrl()); Should this happen ...
1 week, 4 days ago (2017-02-17 18:54:48 UTC) #6
dfalcantara (load balance plz)
https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode611 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:611: public void setSheetOffsetFromBottom(float offset) { If you feel strongly ...
1 week, 4 days ago (2017-02-17 20:02:33 UTC) #7
mdjones
https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode396 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:396: for (BottomSheetObserver o : mObservers) o.onLoadUrl(params.getUrl()); On 2017/02/17 18:54:48, ...
1 week, 4 days ago (2017-02-17 21:33:19 UTC) #8
Theresa
lgtm https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode396 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:396: for (BottomSheetObserver o : mObservers) o.onLoadUrl(params.getUrl()); On 2017/02/17 ...
1 week, 4 days ago (2017-02-17 21:48:08 UTC) #9
Theresa
lgtm
1 week, 4 days ago (2017-02-17 21:48:09 UTC) #10
mdjones
https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode396 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:396: for (BottomSheetObserver o : mObservers) o.onLoadUrl(params.getUrl()); On 2017/02/17 21:48:07, ...
1 week, 4 days ago (2017-02-17 21:52:11 UTC) #11
dfalcantara (load balance plz)
lgtm
1 week, 4 days ago (2017-02-17 21:59:19 UTC) #12
dgn
Thanks! lgtm https://codereview.chromium.org/2698613006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode614 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:614: if (MathUtils.areFloatsEqual(offset, getMinOffset()) nit: else if to ...
1 week, 2 days ago (2017-02-20 11:37:14 UTC) #17
mdjones
https://codereview.chromium.org/2698613006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java File chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java (right): https://codereview.chromium.org/2698613006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java#newcode614 chrome/android/java/src/org/chromium/chrome/browser/widget/BottomSheet.java:614: if (MathUtils.areFloatsEqual(offset, getMinOffset()) On 2017/02/20 11:37:14, dgn wrote: > ...
1 week, 1 day ago (2017-02-21 17:19:11 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698613006/60001
1 week, 1 day ago (2017-02-21 17:21:51 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/123241)
1 week ago (2017-02-21 17:48:23 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698613006/80001
1 week ago (2017-02-21 19:10:52 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_chromeos_ozone_rel_ng on ...
1 week ago (2017-02-21 21:14:28 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698613006/100001
1 week ago (2017-02-21 23:24:16 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_chromeos_ozone_rel_ng on ...
1 week ago (2017-02-22 01:27:16 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698613006/100001
1 week ago (2017-02-22 16:28:44 UTC) #35
commit-bot: I haz the power
1 week ago (2017-02-22 17:24:20 UTC) #38
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/f9f64be3422ea78949a630766ad5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd